Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.simulation.probes
Class ObjectProbe

    java.lang.Object
      madkit.kernel.Probe
          madkit.simulation.probes.ReflexiveProbe
              madkit.simulation.probes.ObjectProbe

    public class ObjectProbe

extends ReflexiveProbe

This probe inspects object properties on Referenceable agents.

Version:
  3.0
Author:
  Fabien Michel (version 2.0 & 3.0), Olivier Gutknecht (version 0.2)

Field Summary

Fields inherited from class madkit.simulation.probes.ReflexiveProbe
`fields`

Constructor Summary
`ObjectProbe(java.lang.String group, java.lang.String role, java.lang.String property)`
`ObjectProbe(java.lang.String community, java.lang.String group, java.lang.String role, java.lang.String property)`

Method Summary
`AbstractAgent` | `getAgentNb(int nb)`
`java.util.ListIterator` | `getAgentsIterator()` return a ListIterator orver the agents that handle the group/role couple
`java.lang.String` | `getCommunity()`
`int` | `getCount()`
`java.util.List` | `getCurrentAgentsList()` return a list view (a snapshot at moment t) of the agents that handle the group/role couple (in proper sequence)
`java.lang.String` | `getGroup()`
`java.lang.Object[]` | `getObjects()`
`java.lang.String` | `getRole()`
`java.util.ListIterator` | `getShuffledAgentsIterator()` return a ListIterator that has been previously shuffled
`int` | `numberOfAgents()` return the number of the agents that handle the group/role couple
`java.lang.String` | `toString()`

Methods inherited from class madkit.simulation.probes.ReflexiveProbe
`findFields, getBoolean, getChar, getDouble, getLong, getObject, getProperty, getPropertyCount, initialize, update, updateFieldFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectProbe

    public ObjectProbe(java.lang.String group,
                       java.lang.String role,
                       java.lang.String property)

### ObjectProbe

    public ObjectProbe(java.lang.String community,
                       java.lang.String group,
                       java.lang.String role,
                       java.lang.String property)

Method Detail

### getObjects

    public java.lang.Object[] getObjects()

### getCount

    public int getCount()

### getAgentsIterator

    public final java.util.ListIterator getAgentsIterator()

  return a ListIterator orver the agents that handle the group/role couple

  Since:
    MadKit 3.0

### getShuffledAgentsIterator

    public final java.util.ListIterator getShuffledAgentsIterator()

  return a ListIterator that has been previously shuffled

  Since:
    MadKit 3.0

### getCurrentAgentsList

    public final java.util.List getCurrentAgentsList()

  return a list view (a snapshot at moment t) of the agents that handle the group/role couple (in proper sequence)

  Since:
    MadKit 3.0

### numberOfAgents

    public final int numberOfAgents()

  return the number of the agents that handle the group/role couple

### getAgentNb

    public final AbstractAgent getAgentNb(int nb)

### getCommunity

    public final java.lang.String getCommunity()

### getGroup

    public final java.lang.String getGroup()

### getRole

    public final java.lang.String getRole()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.